Retrieves all db Reports

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

db_report
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
db_report_type_id

db report type id

globally unique identifier

Required

user_id

Created user id

globally unique identifier
company_id

The Final company that own this report (If WO Report, the company that owns the installation/project)

globally unique identifier

Optionally required : company_id,company_code or node company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating db_report

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating db_report

company

Optionally required : company_id, company_code or company must be provided

db_table_name

TableName which db report linked to. Possible value are jobs or meeting

string

Optionally required : db_table_id or db_table_name must be provided

db_table_id

Table ID which db report linked to.

globally unique identifier

Optionally required : db_table_id or db_table_name must be provided

id_in_table

Item id of the table which db report linked to

globally unique identifier
date_last_update

Date last updated

date
reference_back_office

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "74fb0fa0-885d-4877-85ca-dab06e25c06c",
  "db_report_type_id": "cffbdd00-3e3a-4d49-b68d-9f1f45758e67",
  "user_id": "946ff844-50e9-47ea-a9ff-5261ee8e21c3",
  "company_id": "2779b3ed-e47a-410d-9249-3201deb2c6a1",
  "company_code": "sample string 5",
  "db_table_name": "sample string 6",
  "db_table_id": "ca493c75-fc34-4f37-bc4a-ca7461089226",
  "id_in_table": "abf6285f-375b-4f55-853b-1ec36d70f8a2",
  "date_last_update": "2026-10-28T23:50:11.6049561+00:00",
  "reference_back_office": "sample string 10",
  "modified_dateutc": "2026-10-28T23:50:11.6049561+00:00"
}